import request from '@/utils/request'

// 查询商品评价列表
export function listProductReview(query) {
  return request({
    url: '/service/productReview/list',
    method: 'get',
    params: query
  })
}

// 查询商品评价详细
export function getProductReview(id) {
  return request({
    url: '/service/productReview/' + id,
    method: 'get'
  })
}

// 新增商品评价
export function addProductReview(data) {
  return request({
    url: '/service/productReview',
    method: 'post',
    data: data
  })
}

// 修改商品评价
export function updateProductReview(data) {
  return request({
    url: '/service/productReview',
    method: 'put',
    data: data
  })
}

// 删除商品评价
export function delProductReview(id) {
  return request({
    url: '/service/productReview/' + id,
    method: 'delete'
  })
}
